Bug 207897 - New port: sysutils/dsbmd: Media mounting daemon
Summary: New port: sysutils/dsbmd: Media mounting daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks: 207927
  Show dependency treegraph
 
Reported: 2016-03-11 08:58 UTC by Marcel Kaiser
Modified: 2016-03-14 22:08 UTC (History)
1 user (show)

See Also:


Attachments
Shar archived port (2.24 KB, application/x-shar)
2016-03-11 08:58 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.2R, i386) (11.13 KB, text/plain)
2016-03-11 08:59 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.1R, i386) (11.13 KB, text/plain)
2016-03-11 09:00 UTC, Marcel Kaiser
no flags Details
Poudriere build log (9.3R, i386) (11.35 KB, text/plain)
2016-03-11 09:00 UTC, Marcel Kaiser
no flags Details
Shar archived port (2.61 KB, application/x-shar)
2016-03-13 20:01 UTC, Marcel Kaiser
rakuco: maintainer-approval+
Details
Poudriere build log (10.2R, i386) (11.16 KB, text/plain)
2016-03-13 20:02 UTC, Marcel Kaiser
no flags Details
Poudriere build log (10.1R, i386) (11.17 KB, text/plain)
2016-03-13 20:03 UTC, Marcel Kaiser
no flags Details
Poudriere build log (9.3R, i386) (11.41 KB, text/plain)
2016-03-13 20:04 UTC, Marcel Kaiser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2016-03-11 08:58:08 UTC
Created attachment 167994 [details]
Shar archived port

DSBMD is a media/filesystem type detecting daemon that allows clients to mount
storage devices.

DSBMD watches the mount table for changes, monitors devd events for new storage
devices, polls CD/DVD drives and card readers for media change events, deter-
mines media types, volume names, and filesystem types. Mountable devices,
changes in the mount table as well as device add/remove events and altered
states of mountable devices are presented to clients. Clients can request DSBMD
to mount, unmount, and eject media, or set the CD/DVD reading speed.

WWW: http://freeshell.de/~mk/projects/dsbmd.html
Comment 1 Marcel Kaiser 2016-03-11 08:59:11 UTC
Created attachment 167995 [details]
Poudriere build log (10.2R, i386)
Comment 2 Marcel Kaiser 2016-03-11 09:00:02 UTC
Created attachment 167997 [details]
Poudriere build log (10.1R, i386)
Comment 3 Marcel Kaiser 2016-03-11 09:00:47 UTC
Created attachment 167998 [details]
Poudriere build log (9.3R, i386)
Comment 4 Marcel Kaiser 2016-03-13 20:01:47 UTC
Created attachment 168109 [details]
Shar archived port
Comment 5 Marcel Kaiser 2016-03-13 20:02:41 UTC
Created attachment 168110 [details]
Poudriere build log (10.2R, i386)
Comment 6 Marcel Kaiser 2016-03-13 20:03:29 UTC
Created attachment 168111 [details]
Poudriere build log (10.1R, i386)
Comment 7 Marcel Kaiser 2016-03-13 20:04:17 UTC
Created attachment 168112 [details]
Poudriere build log (9.3R, i386)
Comment 8 Mark Felder freebsd_committer 2016-03-14 22:08:06 UTC
Committed with minor changes, thanks!
Comment 9 commit-hook freebsd_committer 2016-03-14 22:08:57 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 22:07:56 UTC 2016
New revision: 411124
URL: https://svnweb.freebsd.org/changeset/ports/411124

Log:
  DSBMD is a media/filesystem type detecting daemon that allows clients to mount
  storage devices.

  DSBMD watches the mount table for changes, monitors devd events for new storage
  devices, polls CD/DVD drives and card readers for media change events, deter-
  mines media types, volume names, and filesystem types. Mountable devices,
  changes in the mount table as well as device add/remove events and altered
  states of mountable devices are presented to clients. Clients can request DSBMD
  to mount, unmount, and eject media, or set the CD/DVD reading speed.

  WWW: http://freeshell.de/~mk/projects/dsbmd.html

  PR:		207897
  Submitted by:	mk@nic-nac-project.org

Changes:
  head/sysutils/Makefile
  head/sysutils/dsbmd/
  head/sysutils/dsbmd/Makefile
  head/sysutils/dsbmd/distinfo
  head/sysutils/dsbmd/files/
  head/sysutils/dsbmd/files/dsbmd.in
  head/sysutils/dsbmd/pkg-descr